package ru.yandex.wmconsole.error;

import ru.yandex.wmtools.common.error.ExtraTagInfo;
import ru.yandex.wmtools.common.error.UserException;

/**
 * This exception represents a situation when requested action couldn't be performed due to incorrect or illegal client request.
 *
 * @author ailyin
 */
public class ClientException extends UserException {
    public ClientException(ClientProblem problem, String message, Throwable throwable, ExtraTagInfo... extraParams) {
        super(problem, message, throwable, extraParams);
    }

    //todo review all message values
    public ClientException(ClientProblem problem, String message, ExtraTagInfo... extraParams) {
        super(problem, message, extraParams);
    }

    //todo do we need extra tags here?
    public ClientException(ClientProblem problem, String message, String paramName) {
        super(problem, message, paramName);
    }

    public ClientException(ClientProblem problem, String message, Throwable throwable, String paramName, String paramValue) {
        super(problem, message, throwable, paramName, paramValue);
    }
}
